## com.sun.jersey.core.spi.component.ioc
Interface IoCInstantiatedComponentProvider

All Superinterfaces:
  ComponentProvider, IoCComponentProvider

All Known Subinterfaces:
  IoCManagedComponentProvider

    public interface IoCInstantiatedComponentProvider

extends IoCComponentProvider

An IoC-instantiated component provider.

The component is instantiated and injected by the underlying IoC framework, but the life-cycle is managed by the runtime according to the life-cycle declared by the runtime's semantics.

Author:
  Paul.Sandoz@Sun.Com

Method Summary
`java.lang.Object` | `getInjectableInstance(java.lang.Object o)` The instance for the runtime to perform injection on.

Methods inherited from interface com.sun.jersey.core.spi.component.ComponentProvider
`getInstance`

Method Detail

### getInjectableInstance

    java.lang.Object getInjectableInstance(java.lang.Object o)

  The instance for the runtime to perform injection on.

  Some IoC frameworks create proxies that proxy instances of the class to enable, for example, Aspect Oriented Programming, to support cross cutting functionality. If such proxies are returned then any injection of onto fields of the proxy (if any) will not have any effect. The runtime requires access to the proxied instance such that injection onto fields will take effect.

  Parameters:
    `o` - the component instance returned by `ComponentProvider.getInstance()`.
  Returns:
    the instance to inject on.

Copyright © 2017 Oracle Corporation. All Rights Reserved.